.container-heart {
    position: relative;
    object-fit: cover;
    height: 30px;
    width: 30px;

    overflow: hidden;
    z-index: 3;

    &:hover {
        cursor: pointer;
        & .square {
            &__menu{
                animation: filling 400ms 0ms both ease;
            }
        }

        & .empty {
            transition: opacity 200ms 150ms;
            opacity: 0;
        }
    }
    
}

.square {
    &__menu {
        height: 30px;
        width: 30px;
        top: 0;
        left: 0;
        position: absolute;
        background: $color-light;
    }
    
    position: absolute;
    background: white;
    height: 30px;
    width: 30px;
    top: 0;
    left: 0;
}

.empty {
    position: absolute;
    height: 30px;
    width: 30px;
    z-index: 1;

}

.full {
    z-index: -1;
    position: absolute;
    width: 30px;
    height: 30px;

}

@keyframes filling {
    0% {
        transform: translateY(0) rotate(0deg);

    }

    33% {
        transform: translateY(-17px) rotate(-5deg);

    }

    66% {
        transform: translateY(-34px) rotate(5deg);

    }

    100% {
        transform: translateY(-50px) rotate(0deg);
        ;
    }
}